Subject: Re: Utah DBA Application
From: "Mike" <[email-masked]>
To: "Rhonda Kunkel" <[email-masked]>
Date: Fri, 23 Sep 2011 14:12:59 -0400

Rhonda,
I have the check and I will instruct Tom to make his way over.  Probably Monday before he makes it over.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: Rhonda Kunkel 
  To: Mike Bishop 
  Sent: Friday, September 23, 2011 11:14 AM
  Subject: Utah DBA Application

  Mike,

  I need a check for $22.00 made payable to the State of Utah. Would you also have Tom deliver it so that he can sign the DBA Application? Thanks

  Rhonda R. Kunkel

  Knaggs, Harter, Brake & Schneider, P.C.

  7521 Westshire Drive, Suite 100

  Lansing, Michigan 48917

  (517) 622-0590

  (517) 622-2418 (direct dial)